package com.androidbegin.viewpagertutorial;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.view.PagerAdapter;
import android.support.v4.view.ViewPager;
import android.support.v4.view.ViewPager.OnPageChangeListener;
import android.view.View;
import android.widget.ImageButton;
import com.attaullah.joltatech.itcato.R;

public class MainActivity extends Activity {

	// Declare Variables
	ViewPager viewPager;
	PagerAdapter adapter;
	String[] rank;
	private ImageButton play;
	String[] country;
	String[] population;
	int[] flag;
	public int position;
	int[] arrayvid;
	boolean isRunning = true;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		// Get the view from viewpager_main.xml
		setContentView(R.layout.viewpager_main);
		play = (ImageButton) findViewById(R.id.btnPlayAB);
		// Generate sample data
		rank = new String[] { "1", "2", "3", "4", "5", "6", "7", "8", "9", "10" };

		country = new String[] { "China", "India", "United States",
				"Indonesia", "Brazil", "Pakistan", "Nigeria", "Bangladesh",
				"Russia", "Japan" };

		population = new String[] { "1,354,040,000", "1,210,193,422",
				"315,761,000", "237,641,326", "193,946,886", "182,912,000",
				"170,901,000", "152,518,015", "143,369,806", "127,360,000" };

		flag = new int[] { R.drawable.china, R.drawable.india,
				R.drawable.unitedstates, R.drawable.indonesia,
				R.drawable.brazil, R.drawable.pakistan, R.drawable.nigeria,
				R.drawable.bangladesh, R.drawable.russia, R.drawable.japan };

		arrayvid = new int[] { R.raw.exer1, R.raw.exer2, R.raw.exer3,
				R.raw.exer4, R.raw.exer5, R.raw.exer6, R.raw.exer7,
				R.raw.exer8, R.raw.exer9, R.raw.exer10 };

		// Locate the ViewPager in viewpager_main.xml
		viewPager = (ViewPager) findViewById(R.id.pager);
		// Pass results to ViewPagerAdapter Class
		adapter = new ViewPagerAdapter(MainActivity.this, rank, country,
				population, flag, arrayvid);
		// Binds the Adapter to the ViewPager
		viewPager.setAdapter(adapter);

		play.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {

				if (isRunning) {
					((ViewPagerAdapter) adapter).play(position);
					isRunning = false;
					play.setBackgroundResource(R.drawable.pausee);
				} else {
					((ViewPagerAdapter) adapter).pausevideo();
					isRunning = true;
					play.setBackgroundResource(R.drawable.playy);
				}

			}
		});

	}

}